package org.apache.jsp.ui.bonsai;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import com.ibm.hwmca.ui.bonsai.util.hmcversion.HmcVersionInfo;
import com.ibm.hwmca.fw.util.LocalizableText;

public final class phmc_002dhmcversionpopup_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent {

 
    private static final String HMCVER_BUNDLENAME = "com/ibm/hwmca/ui/bonsai/res/bonsai";

  private static java.util.List _jspx_dependants;

  public Object getDependants() {
    return _jspx_dependants;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    JspFactory _jspxFactory = null;
    PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;
    PageContext _jspx_page_context = null;


    try {
      _jspxFactory = JspFactory.getDefaultFactory();
      response.setContentType("text/html");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("<!--\n");
      out.write("/*********************************************************** {COPYRIGHT-TOP} ***\n");
      out.write("* Licensed materials - Property of IBM\n");
      out.write("* Tivoli Presentation Services\n");
      out.write("*\n");
      out.write("* (C) Copyright IBM Corp. 2003\n");
      out.write("*\n");
      out.write("* US Government Users Restricted Rights - Use, duplication, or\n");
      out.write("* disclosure restricted by GSA ADP Schedule Contract with\n");
      out.write("* IBM Corp.\n");
      out.write("*\n");
      out.write("* Module History:\n");
      out.write("* 11/09/2006  JMiller      Initial Release\n");
      out.write("* 02/16/2007  J. Miller    Rename Maintenance Level to Service Pack\n");
      out.write("* 03/16/2007  J. Miller    Add Serial Number, Model, and BIOS support\n");
      out.write("************************************************************ {COPYRIGHT-END} ****/\n");
      out.write("-->\n");
      out.write("\n");
      out.write('\n');
      out.write('\n');

    HmcVersionInfo hmcVerInfo = HmcVersionInfo.getHmcVersionInfo();
    LocalizableText HMCVER                = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.title");
    LocalizableText HMCVER_VERSION        = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.version", new String[] { hmcVerInfo.getVersion() } );
    LocalizableText HMCVER_RELEASE        = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.release", new String[] { hmcVerInfo.getRelease() } );
    LocalizableText HMCVER_SERVICEPACK    = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.servicepack", new String[] { hmcVerInfo.getServicePack() } );
    LocalizableText HMCVER_BUILDLEVEL     = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.buildlevel", new String[] { hmcVerInfo.getBuildLevel() } );
    LocalizableText HMCVER_BASEVERSION    = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.baseversion",    new String[] { hmcVerInfo.getBaseVersion() } );
    LocalizableText HMCVER_MODELTYPE      = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.modeltype",      new String[] { hmcVerInfo.getModelType() } );
    LocalizableText HMCVER_SERIALNUMBER   = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.serialnumber",   new String[] { hmcVerInfo.getSerialNumber() } );
    LocalizableText HMCVER_BIOS           = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.bios",           new String[] { hmcVerInfo.getBIOS() } );
    LocalizableText HMCVER_ADDITIONALINFO = new LocalizableText( HMCVER_BUNDLENAME, "hmcversion.additionalinfo", new String[] { } );

    String hmcver               = HMCVER.toString(request.getLocale());
    String hmcverVersion        = HMCVER_VERSION.toString(request.getLocale());
    String hmcverRelease        = HMCVER_RELEASE.toString(request.getLocale());
    String hmcverServicePack    = HMCVER_SERVICEPACK.toString(request.getLocale());
    String hmcverBuildLevel     = HMCVER_BUILDLEVEL.toString(request.getLocale());
    String hmcverBaseVersion    = HMCVER_BASEVERSION.toString(request.getLocale());
    String hmcverModelType      = HMCVER_MODELTYPE.toString(request.getLocale());
    String hmcverSerialNumber   = HMCVER_SERIALNUMBER.toString(request.getLocale());
    String hmcverBIOS           = HMCVER_BIOS.toString(request.getLocale());
    String hmcverAdditionalInfo = HMCVER_ADDITIONALINFO.toString(request.getLocale());
    String hmcverFixes          = "";
                
    String[] fixes = hmcVerInfo.getFixes();
    if ( fixes != null && fixes.length > 0 ) {
        hmcverFixes = fixes[0];
        for( int i = 1; i < fixes.length; i++ ) {
            hmcverFixes = hmcverFixes + "<br>" + fixes[i];
        }
    }

    hmcverAdditionalInfo = hmcverAdditionalInfo + "<br>" + hmcverFixes;

      out.write("\n");
      out.write("    <c:set var=\"areFixes\" scope=\"page\">");
      out.print( ( hmcVerInfo.getFixes().length > 0 ) );
      out.write("</c:set>\n");
      out.write("    <a href=\"#\" class=\"popup\">");
      out.print( hmcver );
      out.write("<span>\n");
      out.write("        <p>");
      out.print( hmcverVersion     );
      out.write("<br />\n");
      out.write("           ");
      out.print( hmcverRelease     );
      out.write("<br />\n");
      out.write("           ");
      out.print( hmcverServicePack );
      out.write("<br />\n");
      out.write("           ");
      out.print( hmcverBuildLevel  );
      out.write("<br />\n");
      out.write("           ");
      out.print( hmcverBaseVersion );
      out.write("<br />\n");
      out.write("           ");
      out.print( hmcverModelType    );
      out.write("<br />\n");
      out.write("           ");
      out.print( hmcverSerialNumber );
      out.write("<br />\n");
      out.write("           ");
      out.print( hmcverBIOS         );
      out.write("<br />\n");
      out.write("           <c:if test=\"");
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${areFixes}", java.lang.String.class, (PageContext)_jspx_page_context, null, false));
      out.write('"');
      out.write('>');
      out.print( hmcverAdditionalInfo );
      out.write("<br /></c:if></p>\n");
      out.write("    </span></a>\n");
    } catch (Throwable t) {
      if (!(t instanceof SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          out.clearBuffer();
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
      }
    } finally {
      if (_jspxFactory != null) _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
